Windows Deployment Services Update

You can use Microsoft® Windows® Deployment Services to install the Windows® operating system from a Windows Imaging (WIM) file. Windows Deployment Services facilitates basic configuration, including:

  • Partitioning and formatting physical media.

  • Installing the operating system and post-configuration tasks.

  • Simplifying installation.

  • Providing consistency across your computer environment.

You can also use Windows Deployment Services to reinstall the operating system to existing computers.

For more information about deploying the Microsoft® Windows Vista™ operating system, see Windows Vista Resources for IT Professionals (http://go.microsoft.com/fwlink/?LinkID=53518).

  • Windows Deployment Services Update Overview

  • Checklist: Install and Configure the Windows Deployment Services Update

  • Checklist: Create a Custom Installation Image

  • Install and Uninstall the Windows Deployment Services Update

  • Configure Windows Deployment Services

  • Manage a Windows Deployment Services Server

  • Manage Windows Deployment Services Clients

  • Manage Windows Images

  • Troubleshooting Windows Deployment Services

  • Resources for Windows Deployment Services


Windows Deployment Services Update Overview

Windows Deployment Services is intended for administrators who are responsible for deploying new computers in medium and large organizations. If you are only installing a small number of computers, see Deploying Windows Vista (http://go.microsoft.com/fwlink/?LinkId=71130).

Windows Deployment Services allows you to do the following:

  • Manage images and unattended installation scripts.

  • Provide attended and unattended installation options.

IT professionals using Windows Deployment Services should be familiar with the following:

  • Active Directory® directory service and Dynamic Host Configuration Protocol (DHCP) concepts.

  • The Windows Preinstallation Environment (Windows PE).

  • The Windows Preboot Execution Environment (PXE).

  • The Windows Imaging (WIM) file format.

The following sections describe Windows Deployment Services, including server, client, and management components, deployment requirements, and new features.

  • Introduction to Windows Deployment Services

  • Requirements for Windows Deployment Services

  • What’s new in Windows Deployment Services

Introduction to Windows Deployment Services

Windows Deployment Services includes a PXE server and a Trivial File Transfer Protocol (TFTP) server. Windows Deployment Services also includes a client interface and a management snap-in.

Server components

Server components include a PXE server and TFTP server for network booting a client, with the intent to load and eventually install an operating system. Also included are a shared folder and image repository that contain boot images, installation images, and files that you need specifically for the network boot.

Client components

Client components include a graphical user interface (GUI) that runs within the Windows PE and communicates with the server components to select and install an operating system image.

Management components

Management components include the Windows Deployment Services Management Microsoft Management Console (MMC) snap-in and command-line tools that you can use to manage the server, operating system images, and client computer accounts.

Benefits of Windows Deployment Services

Windows Deployment Services can benefit businesses that are deploying Windows operating systems in the following ways:

  • Reduce costs associated with inefficient manual installation processes.

  • Improved performance consistency of the operating system and applications.

  • Reduce the number of Help desk calls when compared to manual installation.

  • Reduce the time needed for the user to install the new operating system and common applications.

Windows preinstallation environment

Windows Deployment Services uses Windows Preinstallation Environment (Windows PE) for client boot services. The Windows Deployment Services client uses Windows PE to provide an easy-to-use menu of available installation images and an installation experience consistent with Windows Setup.

Requirements for Windows Deployment Services

Windows Deployment Services does not have any explicit RAM or CPU speed requirements for either the server or client computers. The Windows Deployment Services server requires an NTFS file system partition for the image store with enough disk space to accommodate all required images.

Operating system requirements

The following operating systems support Windows Deployment Services:

  • Windows Server "Longhorn"

  • Windows Server 2003 with Service Pack 1 (SP1)

    Note

    The Windows Deployment Services update package is currently available for Windows Server 2003 SP1. Remote Installations Services (RIS) must be installed, but does not need to be configured.

  • Windows Server 2003 Service Pack 2 (SP2)

    Note

    Windows Server 2003 SP2 installs Windows Deployment Services by default if RIS is already installed.

Environment requirements

Windows Deployment Services must be deployed in an environment that meets the following requirements:

  • The Windows Deployment Services server must be a member of an Active Directory domain.

  • DHCP is required to take advantage of PXE boot–capable computers.

What's new in Windows Deployment Services

Windows Deployment Services for Windows Server "Longhorn" includes several modifications to Remote Installation Services (RIS) features. These modifications support the deployment of Microsoft Windows Vista and Windows Server "Longhorn" operating systems. These changes include the following:

  • Native support for Windows PE as a boot operating system.

  • Native support for the WIM format.

  • An extensible and high-performance PXE server component.

  • A new boot menu format for selecting boot operating systems.

  • A new graphical user interface (GUI) you can use to select and deploy images and manage Windows Deployment Services servers and clients.

Additional references

  • Deploying Windows Vista (http://go.microsoft.com/fwlink/?LinkId=71130)


Checklist: Install and Configure the Windows Deployment Services Update

The following references provide information about how to correctly install and configure Windows Deployment Services for your environment.

Task | Reference
Learn about Windows Deployment Services. | Windows Deployment Services Update Overview
Install Windows Deployment Services. | Install the Windows Deployment Services Update
Configure Windows Deployment Services for your environment. | Configure Windows Deployment Services
Add your server to the Windows Deployment Services snap-in. | Add a Server to the Windows Deployment Services Snap-in
Add images to your Windows Deployment Services server. | Add an Image
Verify or set the properties of your Windows Deployment Services server. | Manage Server Properties
Configure client settings for Windows Deployment Services. | Manage Windows Deployment Services Clients


Checklist: Create a Custom Installation Image

You can create custom images that contain applications common to your environment or a unique group of users. You can also automate aspects of installation and associate one or more language packs to an image rather than creating a separate image for each language.

Task | Reference
Create a capture image. | Create an Image
Create a custom installation image for your environment. | Create an Image
Modify the install image. | Modify an Image
Create an image group for your custom images. | Image Groups
Add the image to the Windows Deployment Services server. | Add an Image
Enable unattended installation options for the image. | Unattended Installation Files
Associate one or more language packs with an image. | Language Packs


Install and Uninstall the Windows Deployment Services Update

You can install the Windows Deployment Services Update from Windows Explorer or at a command prompt. To uninstall the Windows Deployment Services update, use Add or Remove Programs in Control Panel.

  • Install the Windows Deployment Services Update

  • Uninstall the Windows Deployment Services Update


Install the Windows Deployment Services Update

Windows Deployment Services may be installed using the update package on a server running Windows Server 2003 with Service Pack 1 (SP1) and Remote Installation Services (RIS) already installed. RIS does not have to be configured for the update package to install. The Windows Deployment Services update is installed by default with Windows Server 2003 Service Pack 2 (SP2).

  • Using Windows Explorer

  • From a command prompt

Using Windows Explorer

To install the Windows Deployment Services Update using Windows Explorer

  1. Using Windows Explorer, browse to locate the update package locally or on a network share.

  2. Double-click windows-deployment-services-update.exe for the architecture of the server and the installed operating system to start the installation.

    Note

    If the Security Warning page appears, click Run.

  3. On the Software Update Installation Wizard start page, follow all recommendations, and then click Next to continue.

  4. On the Microsoft Software License Terms page, click I Agree, and then click Next.

  5. On the Software Update Installation Wizard completion page, click Finish to restart your computer.

    Note

    If you do not want to reboot, click Do not restart now prior to clicking Finish.

Additional considerations and references

  • To perform this procedure, you must be a member of the Account Operators group, Domain Admins group, or you must have been delegated the appropriate authority.

  • If the system you are attempting to upgrade does not meet minimum requirements, you will be presented with an Installation Failed page. If this occurs, note the reasons for the failure, take appropriate corrective action, and run the update package again.

  • If the system you are upgrading does not meet recommended requirements you will be presented with an Installation Warning page. Note the recommendations and take the recommended corrective actions upon completion of the upgrade. Click Next to continue.

  • Install and Uninstall the Windows Deployment Services Update

From a command prompt

To install the Windows Deployment Services update from a command prompt

  1. Change to the folder containing the update package.

  2. At a command prompt, type windows-deployment-services-update /quiet /forcerestart, for the architecture of the computer and the operating system architecture.

Additional considerations and references

  • To perform this procedure, you must be a member of the Account Operators group, Domain Admins group, or you must have been delegated the appropriate authority.

  • Install and Uninstall the Windows Deployment Services Update

Installation options for the Windows Deployment Services Update

You can use these command line options to modify the default behavior of the update to suite your installation scenario.

Option | Purpose
/help | Use this at the command line to list these options.
/quiet | Use this when you require no user interaction and no information displayed during installation.
/passive | Use this when you require no user interaction but want a status bar to monitor installation progress.
/norestart | Use this to suppress a reboot after installation.
/forcerestart | Use this when you want to ensure a reboot after installation.
/warnrestart[:<seconds>] | Use this when you want to be warned before the computer restarts after installation. The default, if no argument is provided, is to warn you 30 seconds prior to restarting.
/promptrestart | Use this when you want to be prompted if a restart is required.
/overwriteoem | Use this if you want to overwrite existing original equipment manufacturer (OEM) directories and delete the files existing in the directories.
/nobackup | Use this if you do not wish to backup files necessary to uninstall Windows Deployment Services.
/forceappsclose | Use this when you want to close other applications that may keep the computer from rebooting.
/integrate:<fullpath> | Use this to install software updates along with Windows Deployment Services.
/log:<fullpath> | Use this to create a log file at the specified path.


Uninstall the Windows Deployment Services Update

The Windows Deployment Services Update may be removed through Add or Remove Programs in Control Panel. When Windows Deployment Services is removed, existing Remote Installation Services (RIS) settings are maintained and any shares, directories and images created during Windows Deployment Services configuration are kept intact.

To remove the Windows Deployment Services Update

  1. Click Start, click Control Panel and then click Add or Remove Programs.

  2. Select Windows Deployment Services Update for Windows Server 2003.

  3. Click Remove.

  4. On the Windows Deployment Services Removal Wizard, click Next.

  5. On the Completion page, click Finish.
Note

Click Do not restart now prior to clicking Finish if you do not want to restart immediately after removing Windows Deployment Services.

  1. When the computer restarts, the Windows Deployment Services Update will be removed.

Additional considerations and references

  • To perform this procedure, you must be a member of the Account Operators group, Domain Admins group, or you must have been delegated the appropriate authority.

  • Install and Uninstall the Windows Deployment Services Update


Configure Windows Deployment Services

In this section:

  • Windows Deployment Services functional modes

  • Configure Windows Deployment Services

  • Configure DHCP for Windows Deployment Services

Windows Deployment Services functional modes

Windows Deployment Services supports the following three modes of operation.

Legacy mode

Windows Deployment Services Legacy mode is functionally equivalent to that of Remote Installation Services (RIS). In this mode, only OSChooser will be present as the boot operating system and only RISETUP and RIPREP images are supported. The new Windows Deployment Services Management tools will not be in use; instead legacy RIS utilities will be the only way to manage the server. Legacy Windows Deployment Services Legacy mode is achieved by installing the Windows Deployment Services Update but not configuring Windows Deployment Services through the setup wizard or using WDSUTIL from a command prompt. Legacy mode is only supported on Windows Server 2003.

Mixed mode

Windows Deployment Services Mixed mode describes a server state supporting legacy RIS and new Windows Deployment Services functionality. In mixed mode, the OSChooser menu is available along with Windows PE boot images. In this mode, access to the old image types of RISETUP and RIPREP will be possible through OSChooser and new wim format images will be available utilizing a Windows PE boot image (Windows Vista™ PE boot image with the Windows Deployment Services client). From the client perspective, a boot menu will allow for selection into RIS or into Windows Server® Code Name "Longhorn" Windows PE. From a manageability standpoint, an administrator will use legacy management tools to manage RISETUP and RIPREP images and will use the new Windows Deployment Services tools to manage the server and the WIM images. Windows Deployment Services Mixed mode can only exist in Windows Server 2003 and is achieved by installing the Windows Deployment Services Update on a previously configured RIS server, and then configuring Windows Deployment Services using the setup wizard or using WDSUTIL from a command prompt.

Native mode

Windows Deployment Services Native mode describes a Windows Deployment Services server with only Windows PE boot images. In this mode, OSChooser will not be present and WIM images are the only supported image type to be deployed to clients. Management of the server will entirely occur from within the new Windows Deployment Services management utilities. Windows Deployment Services Native mode can exist on both Windows Server 2003 and Windows Server "Longhorn". On Windows Server "Longhorn" this is the only supported Windows Deployment Services mode. To achieve native mode operation on a server running Windows Server 2003, install but do not configure RIS, then install and configure Windows Deployment Services. You can also force your server to move to Native mode by running WDSUTIL /set-server /ForceNative.

Upgrade paths to Windows Deployment Services functional modes

Functionality | Operating system | Steps
Native mode: Install new WIMs only. | Windows Server "Longhorn" | Install and configure the Windows Deployment Services server role.
Native mode: Install new WIMs only. | Windows Server 2003 | Install RIS but do not configure. Install and configure the Windows Deployment Services Update or install SP2 and configure Windows Deployment Services.
Native mode: Install new WIMs only | Windows Server 2003 | Remove your existing RIS installation. Install RIS but do not configure. Install and configure the Windows Deployment Services Update or install SP2 and configure Windows Deployment Services.
Mixed mode: Install WIMs and existing RIS images. | Windows Server 2003 | Install the Windows Deployment Services Update or SP2 on your existing RIS server and configure Windows Deployment Services.
Legacy mode: Install existing RIS images only. | Windows Server 2003 | Install but do not configure the Windows Deployment Services Update or SP2 on your existing RIS server and do not configure Windows Deployment Services.

Configure Windows Deployment Services

You can perform initial configuration of Windows Deployment Services using one of the following procedures:

  • Using the Windows Deployment Services Setup Wizard.

  • Using WDSUTIL from the command line.

To configure Windows Deployment Services using the Windows Deployment Services Setup Wizard

  1. To open the Windows Deployment Services snap-in, click Start ,click Administrative Tools, and then click Windows Deployment Services.

  2. In the left-hand pane of the Windows Deployment Services snap-in, right-click the server and click Configure Server.

  3. On the Windows Deployment Services Configuration Wizard Welcome Page, check to see that your environment meets the listed requirements and then click Next.

  4. Enter a path for the remote installation folder and then click Next.

  5. If you choose to install Windows Deployment Services on the system drive, a warning message will appear. Click Yes to continue the installation or click No to choose a new installation location (recommended.)

  6. Set an answer policy appropriate for your environment and then click Finish to complete configuration.

  7. At the Windows Deployment Services Configuration Complete Page, you can add images to the server (default) or uncheck Add images to the Windows Deployment Services server now if you want to add images another time.

Additional considerations and references

  • If your x64-based clients do not see x64 images on the boot menu, type WDSUTIL /set-server /autodiscovery:yes at a command prompt.

  • To perform this procedure, you must be a member of the Account Operators group, Domain Admins group, or you must have been delegated the appropriate authority.

  • Windows Deployment Services Update

To configure Windows Deployment Services from a command prompt

  1. Click Start, point to All Programs, point to Accessories, right-click Command Prompt, and then click Run Elevated.

  2. At a command prompt, type: WDSUTIL /initialize-server /reminst:driveletter\foldername, where driveletter is the name of the NTFS–formatted drive and foldername is the name of the directory where you want to create the shared folder, and then press ENTER.

  3. To set the answer policy to answer all clients, type: WDSUTIL /set-server /answerclients:all

    Note

    If you are installing Windows Deployment Services on a system with Microsoft DHCP installed, type: WDSUTIL /set-server /usedhcpports:no /DHCPoption60:yes.

  4. To add a boot image, type: WDSUTIL /add-image /imagefile:\\server\share\sources\boot.wim /imagetype:boot where path is the full path to the boot image.

  5. To add an install image, type: WDSUTIL /add-image /imagefile:\\server\share\sources\install.wim /imagetype:install, where the path is the full path to the install image.

Additional considerations and references

  • If your x64-based clients do not see x64 images on the boot menu, type WDSUTIL /set-server /autodiscovery:yes at a command prompt.

  • Help for WDSUTIL is available by typing WDSUTIL /? at a command prompt.

  • WDSUTIL, the Windows Deployment Services command-line management tool, requires elevated privileges to run.

  • Windows Deployment Services Update

Configure DHCP for Windows Deployment Services

Windows Deployment Services requires an active Dynamic Host Configuration Protocol (DHCP) server on the network. Windows Deployment Services relies on the Pre-Boot Execution Environment (PXE), which in turn relies on DHCP. Changes to DHCP configuration are required if Windows Deployment Services and DHCP are installed on a single server.

DHCP option 60

If Microsoft DHCP is installed on the same physical computer as Windows Deployment Services, the Windows Deployment Services Configuration Wizard will add DHCP option tag 60, with the PXE client setting selected, to all DHCP scopes (as a DHCP global option). This is necessary so that a booting PXE client can be notified that there is a listening PXE server on the network.

Configuring DHCP option 60

If you add the DHCP service to an existing Windows Deployment Services server, you will need to manually reconfigure DHCP option 60. There are two procedures for configuring DHCP option 60:

  • Configuring DHCP option 60 using the Windows Deployment Services snap-in.

  • Configuring DHCP option 60 using WDSUTIL.

To configure DHCP Option 60 using the Windows Deployment Services snap-in

  1. Click Start, click Administrative Tools, and then click Windows Deployment Services.

  2. In the left-hand pane of the Windows Deployment Services snap-in, click to expand the Servers list.

  3. Right-click the server and click Properties.

  4. On the Server Properties Page, click the DHCP tab.

  5. On the DHCP Options page, click Configure DHCP Option 60 to 'PXEClient'.

Additional considerations and references

  • To perform this procedure, you must be a member of the Account Operators group, Domain Admins group, or you must have been delegated the appropriate authority.

  • Windows Deployment Services Update

To configure DHCP Option 60 using WDSUTIL

  1. Click Start, click All Programs, click Accessories, right-click Command Prompt, and then click Run Elevated.

  2. At a command prompt, type WDSUTIL /set-server /DHCPOption60:yes

Additional considerations and references

  • WDSUTIL, the Windows Deployment Services command-line management tool, requires elevated privileges to run.

  • Windows Deployment Services Update

Port 67

If the Microsoft DHCP service is installed on the same physical computer as Windows Deployment Services, the Windows Deployment Services Configuration Wizard will configure Windows Deployment Services by selecting the Do not Listen on port 67 option. This is necessary so that booting clients can find the DHCP server on the network.

Configuring port 67

  • If you add the DHCP service to an existing Windows Deployment Services server, you will need to reconfigure port 67. You can configure port 67 using either of the following two procedures.

To configure port 67 using the Windows Deployment Services snap-in

  1. On the Start menu, click Administrative Tools, and then click Windows Deployment Services.

  2. Click to expand the Servers list.

  3. Right-click the server and click Properties.

  4. On the Server Properties page, click the DHCP tab.

  5. On the DHCP Options page, click Do not listen on port 67.

Additional considerations and references

  • To perform this procedure, you must be a member of the Account Operators group, Domain Admins group, or you must have been delegated the appropriate authority.

  • Windows Deployment Services Update

To configure port 67 using WDSUTIL

  1. Click Start, point to All Programs, point to Accessories, right-click Command Prompt, and then click Run Elevated.

  2. At a command prompt, type WDSUTIL /set-server /usedhcpports:no

Additional considerations and references

  • WDSUTIL, the Windows Deployment Services command-line management tool, requires elevated privileges to run.

  • Windows Deployment Services Update


Manage a Windows Deployment Services Server

  • Add a Server to the Windows Deployment Services Snap-in

  • Remove a Server from the Windows Deployment Services Snap-in

  • Manage Server Properties


Add a Server to the Windows Deployment Services Snap-in

The Windows Deployment Services snap-in provides console-based management of all Windows Deployment Services servers in your environment. To manage Windows Deployment Services servers, they must first be added to the Windows Deployment Services snap-in.

To add a server to the Windows Deployment Services snap-in

  1. To open the Windows Deployment Services snap-in, click Start, click Administrative Tools, and then click Windows Deployment Services.

  2. Right-click the Servers node and then click Add Server.

  3. In the Add Server dialog box, click to select the server to be added and click OK to continue.

  4. In the Add Server Warning dialog box, click Yes to add the server.

  5. When you exit the snap-in, click Yes to save your settings.

Additional considerations and references

  • To perform this procedure, you must be a member of the Account Operators group, Domain Admins group, or you must have been delegated the appropriate authority.

  • Manage a Windows Deployment Services Server


Remove a Server from the Windows Deployment Services Snap-in

You can use the following procedure to remove a Windows Deployment Services server from the Windows Deployment Services snap-in.

To remove a server from the Windows Deployment Services snap-in

  1. To open the Windows Deployment Services snap-in, click Start, click Administrative Tools, and then click Windows Deployment Services.

  2. Click to expand the Servers list.

  3. Right-click the server you wish to remove from the console.

  4. Click Remove Server.

Additional considerations and references

  • To perform this procedure, you must be a member of the Account Operators group, Domain Admins group, or you must have been delegated the appropriate authority.

  • Manage a Windows Deployment Services Server


Manage Server Properties

You can use the Server Properties page of a Windows Deployment Services server to configure various aspects of server operation.

  • DHCP Properties

  • PXE Server Properties

  • General Properties

  • Directory Services Properties

  • Boot Properties

  • Client Properties


DHCP Properties

Dynamic Host Configuration Protocol (DHCP) configuration options for Windows Deployment Services are set on the DHCP Properties page of each server or during initial configuration using the Windows Deployment Services Configuration Wizard.

  • Configure DHCP option 60

  • Configure port 67

Configuring DHCP option 60

The default configuration of Windows Deployment Services assumes that the Microsoft DHCP server and Windows Deployment Services server are on separate physical computers. When DHCP and Windows Deployment Services exist on the same computer, DHCP must inform the client computer that there is a PXE server listening on the network by including DHCP option tag 60 in the DHCP Offer packet.

To configure DHCP option 60 using the Windows Deployment Services snap-in

  1. On the Start menu, click Administrative Tools, and click Windows Deployment Services.

  2. Click to expand the Servers list.

  3. Right-click the server and click Properties.

  4. On the Server Properties page, click the DHCP tab.

  5. On the DHCP Options page, click Configure DHCP Option 60 to 'PXEClient'.

Additional considerations and references

  • To perform this procedure, you must be a member of the Account Operators group, Domain Admins group, or you must have been delegated the appropriate authority.

  • Manage Server Properties

To Configure DHCP option 60 using WDSUTIL

  • At a command prompt, type: WDSUTIL /set-server /DHCPoption60:yes

Additional considerations and references

  • WDSUTIL, the Windows Deployment Services command-line management tool, requires elevated privileges to run.

  • Manage Server Properties

Configuring port 67

Because DHCP listens on port 67 by default, when Windows Deployment Services and DHCP exist on the same computer, the Windows Deployment Services PXE server is not able to listen on port 67 for incoming PXE boot requests.

To configure port 67 using the Windows Deployment Services snap-in

  1. On the Start menu, select Administrative Tools, and click Windows Deployment Services.

  2. Click to expand the Servers list.

  3. Right-click the server and click Properties.

  4. On the Server Properties page, click the DHCP tab.

  5. On the DHCP Options page, click Do not listen on port 67.

Additional considerations and references

  • To perform this procedure, you must be a member of the Account Operators group, Domain Admins group, or you must have been delegated the appropriate authority.

  • Manage Server Properties

To configure port 67 using WDSUTIL at a command prompt

  • At a command prompt, type: WDSUTIL /set-server /usedhcpports:no.

Additional considerations and references

  • WDSUTIL, the Windows Deployment Services command-line management tool, requires elevated privileges to run.

  • Manage Server Properties

    Important

    Both the Configure DHCP Option Tag #60 to PXEClient and Do not listen on port 67 options must be selected if Microsoft DHCP and Windows Deployment Services are running on the same computer.


PXE Server Properties

PXE server settings are set on the PXE Response Settings tab of the Server Properties page. These settings determine which clients Windows Deployment Services responds to, what action is taken when responding to an unknown client, and how long to wait before responding to a client. You can modify the following policies as needed:

  • PXE response policy

  • PXE Response Delay

PXE response policy

This option specifies whether the Windows Deployment Services PXE server should answer incoming client PXE requests. Without this option selected, no clients will be able to PXE boot to the Windows Deployment Services server.

Do not respond to any client computer. Use this setting when you do not want the server to answer client requests.

Respond only to known client computers. You may enable this option when the "Respond to Client Computers policy" is selected. Choosing this option requires you to pre-stage clients in Active Directory. These pre-staged clients are referred to as "known" devices; clients which are not pre-staged are "unknown" and are not able to PXE boot to Windows Deployment Services.

Respond to all (known and unknown) client computers. Choose this option to allow all clients to PXE boot to the Windows Deployment Services server.

For unknown clients, notify administrator and respond after approval. Choose this option, along with Respond to all (known and unknown) client computers if you want to approve new clients before allowing them to receive boot services from a Windows Deployment Services server.

For more information about how to prestage client computers, see Prestage client computers (http://go.microsoft.com/fwlink/?LinkId=50166).

PXE Response Delay

Use the PXE Response Delay setting to adjust how quickly the server responds to clients coming up on the network. PXE Response Delay, which sets the amount of time the PXE server waits for other PXE servers to respond, is set to zero by default. This setting should remain at zero unless there are other PXE responders on the network which require precedence or your network requires increased PXE response delay.

Additional resources

  • Manage Server Properties


General Properties

The General Properties page contains the following information:

  • Computer name. The name of the server running Windows Deployment Services.

  • Remote install location. The name of the share that contains the Windows operating system images.

  • Server mode. The operating mode of Windows Deployment Services. This can be native, mixed, or legacy.

    • Native mode - When configured for native mode, Windows Deployment Services supports the Windows Imaging (WIM) file format and command sets only. In native mode, Windows Deployment Services does not provide support for RIS commands or images.

    • Mixed mode - When configured for mixed mode, Windows Deployment Services supports RIS and native command sets and image types.

    • Legacy mode - When configured for legacy mode, Windows Deployment Services supports RIPREP and RISETUP image types and the RIS command set only.

Additional resources

  • Manage Server Properties


Directory Services Properties

New Client Naming Policy and Account Location

You can use the Directory Services Properties page to set the default client naming policy and computer account location. Windows Deployment Services provides four methods for naming a computer and placing it in an organizational unit.

  • The administrator specifies the machine name and organizational unit.

  • The server specifies the machine name and organizational unit.

  • The client performs all domain join actions at first boot.

  • An administrator creates a custom user interface.

Administrator specifies the computer name and organizational unit

You can specify the computer name and organizational unit to join on a per-machine basis. This scenario requires you to enable the pending devices auto-add policy and then use the Windows Deployment Services snap-in to specify the client name and organizational unit when the computer is approved. The settings are used in two ways:

  • As part of the pending devices approval process. These are per-server or per-architecture settings that apply to all approved devices. The administrator can override these settings on a per-device basis when approving a device.

  • For domain-join scenarios involving the WDS client. By default, all installations that occur using the WDS Client will result in the machine being domain joined at the end of the process. If the installation is occurring on a pre-staged client (created either manually or via Pending Devices) the client will be joined as the existing device. If the installation is occurring on a new machine, the WDS Client will create a computer account in Active Directory based on these policy settings. The client will then be joined as that newly created account.

To specify client naming policy and organizational unit during approval

  1. Right-click the server and click Properties.

  2. Click the PXE Response Settings tab.

  3. Click Respond to all (known and unknown) client computers.

  4. Click For unknown clients, notify administrator and respond after approval.

  5. PXE boot the client computer.

  6. At the client computer, you will see a message providing the request ID and the IP address of the server that was contacted when your client computer started.

  7. In the Windows Deployment Services snap-in, select the server the client contacted to view the new client under Pending Devices.

  8. Right-click the device and click Approve.

  9. Type a computer name and organizational unit.

  10. Click OK.

  11. At the client computer, choose an image from the menu and click Enter.

The server specifies the computer name and organizational unit

You can set the computer name and organizational unit on a per server basis and then all clients built from a given server will be built with a consistent computer naming policy and into the same domain. The settings are set in the Server Properties tabs and the values are used when the Windows Deployment Services client initiates the first phase of Setup.

To specify client naming policy and organizational unit per server

  1. Right-click the server and click Properties.

  2. Click the PXE Response Settings tab.

  3. Click Respond to all (known and unknown) client computers.

  4. Click the Directory Services tab.

  5. Set the client naming policy.

    Note

    The default client naming policy is defined as the user name followed by two random digits. You can use the numbers 1–9 to change the number of digits after the user name.

  6. Under Client account location, choose the default (Same domain as the Windows Deployment Services server) organizational unit or define a default organizational unit for the server.

  7. PXE boot a client computer to build it using the client naming policy and organizational unit specified.

Perform all domain join actions at first boot

Domain join information, including computer name, domain, and user credentials, are added by the Windows Deployment Services client into the image unattended installation file used during client installation. If an existing unattended installation file is associated with the image the client is installing, the unattended installation file will be updated. If the image the client is installing does not have an unattended installation file associated with it, a “template” unattended installation file will be used. The unattended installation template for down-level images lives in the \Templates directory on the ‘REMINST’ share. The unattended installation template for Windows Vista and Windows Server "Longhorn" images lives in the image itself as \Windows\system32\WdsUnattendFile.xml.

If you are using an image unattended installation file, ensure that the file contains the proper tags exist within the file:

  • <UnsecureJoin> is used for Unattend.xml.

  • 'DoOldStyleDomainJoin’ is used for Sysprep.inf.

The presence of these tags is the signal that WDS should insert the domain join information.

You also need to have the Microsoft-Windows-Shell-Setup section in the <specialize> pass present in your unattend file. The computer name is not added unless you have, minimally, an empty Microsoft-Windows-Shell-Setup section in the <specialize> pass. The reason for this is to avoid the hard-coding of attributes for this component, such as publicKeyToken and language.

Create a custom user interface

You can also create a custom user interface to specify the computer name and organizational unit before installation. For instance, you can write a script that runs within WinPE that captures the computer name and organizational unit information, places it into an unattended installation file, and then invokes Setup.exe. If you require an out-of-the-box application that provides this level of customization, see Microsoft Solution Accelerator for Business Desktop Deployment 2007 (http://go.microsoft.com/fwlink/?LinkId=71137).

Additional considerations

  • To perform these procedures, you must be a member of the Account Operators group, Domain Admins group, or you must have been delegated the appropriate authority.

Additional references

  • Microsoft Solution Accelerator for Business Desktop Deployment 2007 (http://go.microsoft.com/fwlink/?LinkId=71137)

  • Sample Unattended Installation Files

  • Manage Server Properties


Boot Properties

The Windows Deployment Services boot properties page allows you to configure the default boot program and default boot images on a per-architecture basis.

  • Default boot program

  • Default boot image

Default boot program

You can set the default boot programs settings to define how the PXE client interacts with the WDS server per architecture. The following table describes available boot programs.

Boot program Functionality

Abortpxe.com

This program is sent to a client computer when an administrator rejects a pending device.

Bootmgfw.efi

The EFI version of pxeboot.com includes all functionality from pxeboot.com, pxeboot.n12, abortpxe.com, and bootmgr.exe. Only currently available for ia64.

Hdlscom1.com

You can use this program to redirect firmware output to the COM1 port on systems that do not support firmware redirection to the console. You can then either press F12 to proceed with the boot process, or exit the boot process by not pressing F12.

Hdlscom1.n12

You can use this program to redirect firmware output to the COM1 port on systems that do not support firmware redirection to the console. This program will bypass the F12 key and boot directly to the PXE server.

Hdlscom2.com

You can use this program to redirect firmware output to the COM2 port on systems that do not support firmware redirection to the console. You can then either press F12 to proceed with the boot process, or exit the boot process by not pressing F12.

Hdlscom2.n12

You can use this program to redirect firmware output to the COM2 port on systems that do not support firmware redirection to the console. This program will bypass the F12 key and boot directly to the PXE server.

Pxeboot.com

You can use this (default) boot program to prompt the user to press the F12 key to access boot services.

Pxeboot.n12

You can use this boot program to bypass the F12 key and boot directly to the PXE server.

Wdsnbp.com

Wdsnbp.com is a network boot program used by Windows Deployment Services and should never be used as a default boot program. Wdsnbp.com serves the following general purposes:

  • Stalls the PXE boot. This enables Windows Deployment Services to perform advanced answering logic without the client timing out while waiting for the server.

  • Reports back the architecture of the booting client when this cannot be determined from the PXE boot network packet. This is particularly important on x64 systems that do not report back their 64-bit architecture.

  • Solves PXE referral cases when Windows Deployment Services and RIS exist on the same network or network segment.

  • Acts as the Network Boot Protocol for Auto-Add cases where it will stall the PXE boot process and poll the server for approval status.

You can use the Boot Properties page of the server or WDSUTIL to set the default boot program.

To set the architecture specific default boot program per server

  1. Open the Windows Deployment Services snap-in.

  2. Click to expand the Servers list.

  3. Right-click the server and click Properties.

  4. Click the Boot tab.

  5. On the Boot Properties page, under Default boot program (Optional), find the architecture you want to change and then click Browse.

  6. Click to select the appropriate file, and then click Open.

  7. Click OK.

  8. If a warning appears, verify that you have made the correct choice and then click Yes.

Default boot image

You can use this option to specify a default image per architecture and per server. You may want to do this so that x64 clients always receive x64 system images, or if you include architecture specific tools in your image.

To select a default boot image per server

  1. Open the Windows Deployment Services snap-in.

  2. Click to expand the Servers list.

  3. Right-click the server and click Properties

  4. Click the Boot tab.

  5. On the Boot Properties page, under Default boot image (Optional), choose the architecture you want to change and click Select.

  6. In the browse dialog box, click the image you want to use as the default and click OK.

Additional considerations and references

  • To perform this procedure, you must be a member of the Account Operators group, Domain Admins group, or you must have been delegated the appropriate authority.

  • Manage Server Properties


Client Properties

The Windows Deployment Services client properties page allows you to configure the client for attended or unattended mode of operation and override default client account creation. In unattended mode, the Windows Deployment Services client pages that determine image selection and disk configuration are suppressed and the defaults provided by the administrator are used.

  • Enable client unattend

  • Client account creation

Enable client unattended installation

To enable client unattended installation from the Windows Deployment Services snap-in

  1. Open the Windows Deployment Services snap-in.

  2. Click to expand the servers list.

  3. Right-click the server and click Properties.

  4. Click the Client tab.

  5. Click Enable unattended installation.

  6. Click Browse to select an unattended installation file per architecture.

  7. Click to select the file.

  8. Click OK.
Note

As a best practice, copy the Windows Deployment Services client unattended installation file to the \WDSClientUnattend folder under the REMINST share.

To enable client unattended installation from a command prompt

  • Type WDSUTIL /Set-Server /WdsUnattend /Policy:Enabled /File:WDSClientUnattend \unattend.xml /Architecture:x86

Client account creation

To disable client account creation using the Windows Deployment Services snap-in

  1. Open the Windows Deployment Services snap-in.

  2. Click to expand the servers list.

  3. Right-click the server and click Properties.

  4. Click the Client tab.

  5. Click to select Do not create account in the domain after running WDS client.
To disable client account creation using WDSUTIL at a command prompt

  • Type WDSUTIL /JoinDomain:No

Additional considerations and references

  • To perform this procedure, you must be a member of the Account Operators group, Domain Admins group, or you must have been delegated the appropriate authority.

  • Before completing this procedure you will need to copy a client unattended installation file to \Reminst\WDSClientUnattend.

  • Sample Unattended Installation Files

  • Unattended Installation Files

  • Manage Server Properties


Manage Windows Deployment Services Clients

You can use the following information to learn about unknown client policy, computer naming, and the pending devices folder.

  • Pre-stage Client Computers

  • Set the Computer Naming Policy

  • Pending Devices


Pre-stage Client Computers

Pre-staging client computers allows an administrator to assign computers to a specific Windows Deployment Services server. When used with the Respond only to known client computers policy, pre-staging also allows for control over which computers may be deployed using Windows Deployment Services.

Windows Deployment Services provides automated and manual methods to pre-stage client computers. For the automated method see Pending Devices.

  • Using the Windows interface

  • At a command prompt

Pre-stage computers using Active Directory Users and Computers

To pre-stage client computers using the Windows interface

  1. To open Active Directory Users and Computers, click Start, click Run, type dsa.msc, and then click OK.

  2. In the console tree, right-click the organizational unit that will contain the new client computer.

  3. Click New, and then click Computer.

  4. Type the client computer name, click Next, and then click This is a managed computer.

  5. In the text entry field, type the client computer's globally unique identifier (GUID) and then click Next.

  6. Click one of the following options to specify which server or servers will support this client computer.

    • Any available remote installation server

    • The following remote installation server

    Note

    Selecting the second option designates a specific server to service this client computer.

  7. Click Next, and then click Finish.

Additional considerations and references

  • To perform these procedures, you must be a member of the Account Operators group, Domain Admins group, or you must have been delegated the appropriate authority.

  • When a computer is pre-staged into a domain with multiple domain controllers, the replication delay of the client computer account information can cause a client computer to be serviced by another Windows Deployment Services server.

  • Manage Server Properties

  • Pending Devices

Pre-stage computers using WDSUTIL

To pre-stage client computers using WDSUTIL

  • Type WDSUTIL /add-device /device:<devicename> /ID:<MACAddress> /options where devicename is the name, MACAddress is the MAC address of the new computer and options are any optional settings.

Additional considerations and references

  • WDSUTIL, the Windows Deployment Services command-line management tool, requires elevated privileges to run.

  • You can pre-stage a client computer through Active Directory Users and Computers and WDSUTIL using either the GUID or the MAC address. If the MAC address is used it must be preceded by twenty zeros "0".

  • When a computer is pre-staged into a domain with multiple domain controllers, the replication delay of the client computer account information can cause a client computer to be serviced by another Windows Deployment Services server.

  • Manage Server Properties

  • Pending Devices


Set the Computer Naming Policy

If you want to ensure that each client computer is given a unique computer name, choose from the list of automatic naming options. All of the automatic naming options that are based on the user's name add an incremental number at the end to ensure that the computer name is unique.

Select one of the options in the following table to create the customized computer name automatically.

Variable | Result
%First | The user's first name is used as the computer name.
%Last | The user's last name is used as the computer name.
%Username | The user name is used as the computer name.
%MAC | The network adapter media access control (MAC) address is used as the computer name.
%[0][n]# | The computer name includes an incremental number containing n digits. To include zero-padding in the incremental number, type a zero as shown. For example, if you use %03#, a three-digit number in the range from 001 through 999 is used.
Important

Avoid creating a naming convention that could result in duplicate computer names. One way to avoid duplication in computer names is to use the incremental number option described in the previous table.

When you are defining your computer naming policy, you can limit the length of computer names by adding a numerical value to the text string. For example, if you want to limit the computer name to three characters of the user's last name with a two-digit incremental number appended, you would use the string: %3Last%02#. Thus, for the fifth computer user whose last name is Smith, the corresponding computer name would be Smi05.

You can use customized naming options separately, or you can combine them. For example, if you want the computer name to consist of the first three letters of the user's first name, followed by the first three letters of the user's last name, followed by a three-digit incremental number, you can use the string: %3First%3Last%03#.

Additional considerations and references

  • To perform this procedure, you must be a member of the Account Operators group, Domain Admins group, or you must have been delegated the appropriate authority.

  • Manage Server Properties


Pending Devices

If you do not choose to auto-approve devices you can use the pending devices folder to approve or reject client installations from Windows Deployment Services. In Remote Installation Services (RIS), creating pre-staged devices was a manual process. Windows Deployment Services offers a more automated, simplified way to create pre-staged computer account objects through the Auto-Add policy.

There are two different policy types that you can configure to control Auto-Add policy behavior:

  • No Action

  • Pending

No Action

This is the default setting and is equivalent in meaning to the Auto-Add policy not being turned on. This option effectively means “if ‘answer clients’ = yes, ‘answer only known clients’ = no, and a pre-staged device is not found, take no further action”. This means that Windows Deployment Services will not create a computer account on behalf of the unknown client requesting service. It will, however, still answer it because the PXE Answer Policy specifies answering of all clients, even those not pre-staged.

Pending

When you use this option, an unknown device will be placed in the pending devices folder. The device will remain in this queue until one of four things occur:

  • The device is approved.

  • The device is rejected.

  • A timeout is reached.

  • The network boot attempt is cancelled.

All devices placed into the pending queue are represented as an entry in the pending devices database, on the Windows Deployment Services server that responded to the client’s initial PXE boot request. The purpose of this temporary storage location is as follows:

  • To provide the management utilities a common interface for getting the list of all pending devices on a server.

  • To serve as an “audit trail” to record which devices have been approved/rejected.

  • To keep the Active Directory free from size growth/stale computer account objects; problems that would surface if all booting devices were automatically added to Active Directory and only removed if they were rejected.

Using the Windows Deployment Services management tools, you can retrieve the list of devices currently in the pending queue from the pending devices database. You can then selectively approve and reject devices. Approving a device allows the client computer to continue with the network boot operation. Additionally, a computer account object is created in Active Directory to represent the physical device. Rejecting a device causes the physical computer to abort the network boot attempt and continue booting from the next device as defined in the computer's BIOS boot order. A computer account in Active Directory will not be created for a rejected device.

Additional considerations and references

  • To perform this procedure, you must be a member of the Account Operators group, Domain Admins group, or you must have been delegated the appropriate authority.

  • You will need to delegate permissions to the Windows Deployment Services server’s machine object in order for the pending devices policy to successfully create computer objects in AD when devices are approved. Refer to the Windows Deployment Services Deployment Guide, at http://go.microsoft.com/fwlink/?LinkId=71130.

  • Manage Server Properties


Manage Windows Images

You can manage Windows images using the Windows Deployment Services snap-in or from a command prompt using WDSUTIL.

  • Image Types

  • Add an Image

  • Create an Image

  • Modify an Image

  • Remove an Image

  • Export an Image

  • Image Properties

  • Image Groups

  • Unattended Installation Files

  • Language Packs

  • Legacy Images

  • Sample Unattended Installation Files


Image Types

The main image types used in Windows Deployment Services are installation (install) images and boot images. Install images are either Windows Imaging (WIM) files or legacy images created using tools that shipped with Remote Installation Services (RIS). Boot images are WIM files and include setup images, which work with Windows Deployment Services to install Windows and capture images, which are used to capture images prepared using Sysprep.exe images for deployment to new clients and discover images, which are used to boot non-PXE compliant systems to a Windows Deployment Services server.

  • Install Images

  • Boot Images

Install images

Install images are operating system images, which will be installed to client computers, which boot to a Windows Deployment Services server.

  • WIM format. WIM files are a new file format that contains one or more compressed Windows images. WIM files are file-based, rather than sector-based making it easier to update existing images. WIM files also use Single Instance Storage (SIS) technology, eliminating duplication of files within a WIM.

  • RIPREP images. RIPREP images are legacy RIS images. Windows Deployment Services, in legacy or mixed mode is capable of deploying RIPREP images. RIPREP images are both HAL–dependent and language-dependent, making them expensive to support.

  • RISETUP images. RISETUP images are the first image type from RIS. Essentially, these are a copy of the CD directory structure (i386 directory) onto a file share on the RIS server. RISETUP images offer one main advantage over RIPREP images in RIS: they are not HAL–dependent.

Boot images

Boot images are Windows PE images containing the WDS client and are used to present an initial boot menu when a client contacts a Windows Deployment Services server.

  • Setup images are the default image type when you export a boot image from the WDS image store. When a client boots to a Setup image, Windows Setup is immediately invoked.

  • Capture images provide an alternative to the command-line utility ImageX.exe when capturing an image prepared with the utility Sysprep.exe. When a client boots to a capture image, the Windows Deployment Services Capture Utility is invoked and walks you through capturing and adding a new image.

  • Discover images are Windows Deployment Services aware boot images that may be copied to a CD for use when PXE boot services are not available. After booting to a discover image, the user is presented with the Windows Deployment Services client menu and continues Setup in the same manner as when a PXE boot occurs.

Additional references

  • Manage Windows Images

  • Legacy Images


Add an Image

You can add images using the Windows Deployment Services snap-in or using WDSUTIL from a command prompt.

  • Add a boot image

  • Add an install image

  • Add a legacy image

Add a boot image

To add a boot image using the Windows Deployment Services snap-in

  1. Click to expand the server list.

  2. Click to expand the server.

  3. Right-click the Boot Images folder and click Add Boot Image.

  4. Click Browse to select the image to be added.

  5. Click OK.
To add a boot image using WDSUTIL from a command prompt

  • To add a boot image, type:

    WDSUTIL /add-image /imagefile:\\server\share\sources\boot.wim /imagetype:boot

    Where the path is the full path to the boot image.
Note

The image to be uploaded should be boot.wim from the Windows Vista DVD. There are other WinPE images available, such as in the Windows AIK or other custom images that may not work as a “setup” image.

Add an install image

To add an install image using the Windows Deployment Services snap-in

  1. Click to expand the server list.

  2. Click to expand the server.

  3. Click to expand the Install Images folder.

  4. Right click the image group to which you want to add the image and click Add Install Image.

  5. Click Browse to select the image to be added.

  6. Click OK.
To add an install image using WDSUTIL from a command prompt

  • To add an install image, type:

    WDSUTIL /add-image /imagefile:\\server\share\sources\install.wim /image type:install

    Where the path is the full path to the install image.

Add a legacy image

You can add a RIS image to your Windows Deployment Services server using legacy RIS tools and methods.

To add a legacy image

  1. Open Active Directory Users and Computers.

  2. In the console tree, right-click the applicable Remote Installation Services (RIS) server.

  3. Click Properties, and then, in the Properties dialog box, click the Remote Install tab.

  4. Click Advanced Settings, and then click the Images tab.

  5. Click Add.

  6. Click Add a new installation image, and then click Next to start the Remote Installation Services Setup Wizard.

  7. Click Next, and then type the location of the installation files. The location can be either a compact disc or a shared folder.

  8. Type the name of the folder for the new installation image.

  9. Enter the friendly description and Help text, and then click Next.

  10. Specify whether you want to use new .osc screens and back up the previous .osc screens, use new .osc screens and overwrite the previous screens, or leave the previous .osc screens in place.

  11. Review the installation summary, and then click Finish.

Additional considerations and references

  • To perform this procedure, you must be a member of the Administrators group on the local computer, or you must have been delegated the appropriate authority. If the computer is joined to a domain, members of the Domain Admins group might be able to perform this procedure. As a security best practice, consider using Run as to perform this procedure.

  • To open Active Directory Users and Computers, click Start, click Run, type dsa.msc, and then click OK.

  • Manage Windows Images


Create an Image

You can use Windows Deployment Services to create installation and boot images, including capture and discover images. Capture images are used to create new installation images from a system prepared with Sysprep.exe and add them to the image store. Discover images provide a means for non-PXE compliant network adapters to access the WDS PXE server. You can also use Windows Deployment Services to export a setup boot WIM.

Creating bootable media from a WIM file requires installation of the Windows AIK. For more information, see Windows Automated Installation Kit (WAIK) User's Guide for Windows Vista (http://go.microsoft.com/fwlink/?LinkID=53552).

  • Create an install image

  • Create a capture image

  • Create a discover image

  • Create boot media

Create an install image

Install images are built from reference installations of the Windows operating system and are deployed to the client desktop when Windows Deployment Services is used to install Windows. A reference installation may be a standard Windows installation or may be configured for a specific environment or use prior to creating the image.

To create an install image

  1. Create a reference computer.

  2. From a command prompt on the reference computer, change directories to \Windows\system32\Sysprep or a directory containing Sysprep.exe and Setupcl.exe.

  3. Type sysprep /OOBE /Generalize /Reboot.

  4. When the reference computer reboots, press F12.

  5. In Windows Boot Manager, choose to boot to the appropriate capture image.

  6. On the Image Capture Wizard welcome page, click Next.

  7. On the Image Capture Source page, use the Volume to Capture drop-down control to choose the appropriate volume, and then provide a name and description for the image. Click Next to continue.

  8. On the Image Capture Destination page, click Browse and browse to the location where you want to store the captured image.

  9. In the File name text box, type a name for the image using the .WIM file name extension and then click Save.

  10. Click Upload image to WDS server.

  11. Type the name of the WDS server and click Connect.

  12. If prompted for credentials, provide a user name and password for an account with sufficient privilege to connect to the WDS server.

  13. Using the drop-down Image Group control, choose the image group in which to store the image.

  14. Click Finish.
Note

The directory structure in step one is valid for Windows Server "Longhorn" and Windows Vista only. For Windows 2003 and Windows XP use the appropriate Sysprep version from Deploy.cab.

Note

This syntax in step two is valid for Windows Server "Longhorn" and Windows Vista only. Check syntax for your version of Windows by typing sysprep /?

Create a capture image

Capture images are used to capture Windows images prepared with Sysprep.exe for deployment as install images. Capture images are boot images that launch the Image Capture Wizard. Capture images are first saved to a file and then added back to the image store.

To create a capture image using Windows Deployment Services

  1. Expand the Boot Image folder.

  2. Right-click the image to use as a capture image.

  3. Click Create Capture Boot Image.

  4. Choose a name and description for the capture image.

  5. Choose a location and name for the new file.

  6. Click OK to create the capture image.

  7. Click Finish.

  8. Right-click the Boot Image folder.

  9. Click Add Boot Image.

  10. Browse to select the new capture image and click Next.

  11. Optionally update the name and description for the capture image and then click Next.

  12. Click Next.

  13. Click Finish.
To create a capture image using WDSUTIL

  1. WDSUTIL, the Windows Deployment Services command line management tool, requires elevated privileges to run: click Start, click All Programs, click Accessories, right-click Command Prompt, and then click Run Elevated.

  2. At a command prompt, type:

    WDSUTIL /new-captureimage /image: boot_image /architecture:x86 /filepath:capture_image

    Where boot_image is the name of the boot image you want to use to create the capture image and capture_image is the file path and file name of the new capture image.

  3. At a command prompt, type:

    WDSUTIL /add-image /imagefile: capture_image /imagetype:boot

    Where capture_image is the file path and file name of the capture image you want to add to the image store.
Note

Help for WDSUTIL is available by typing WDSUTIL /? at a command prompt.

Create a discover image

Discover images are used to deploy the Windows operating system through Windows Deployment Services to computers which do not support PXE boot. Discover images are boot images that launch the Windows Deployment Services Discovery Wizard. Discover images are saved to a file, converted to an ISO format, and then burned to CD or DVD.

To create a discover image using Windows Deployment Services

  1. Expand the boot image folder.

  2. Right-click the image to use as a discover image.

  3. Click Create Discover Boot Image.

  4. Choose a name and description for the discover image.

  5. Choose a location and name for the new file, using the .wim file name extension.

  6. Click OK to create the capture image.

  7. Click Finish.
To create a discover image using WDSUTIL

  1. WDSUTIL, the Windows Deployment Services command line management tool, requires elevated privileges to run: click Start, click All Programs, click Accessories, right-click Command Prompt, and then click Run Elevated.

  2. At a command prompt, type:

    WDSUTIL /new-discoverimage /image: boot_image /architecture:x86 /filepath: discover_image

    Where boot_image is the name of the boot image you want to use to create the discover image and discover_image is the file path and file name of the new discover image.
Note

Help for WDSUTIL is available by typing WDSUTIL /? at a command prompt.

Create boot media

To create bootable media

  1. Install the Windows Automated Installation Kit.

  2. Open a command prompt and change to the PETools folder:

    Cd C:\Program Files\Windows AIK\Tools\PETools

  3. To create a WinPE build environment, type:

    CopyPE <architecture> C:\Winpe

  4. Copy the discover image created in the previous procedure:

    Copy /y c:\boot.wim c:\Winpe\ISO\Sources

  5. Change back to the PETools folder:

    Cd C:\Program Files\Windows AIK\Tools\PETools

  6. Create the bootable ISO image:

    Oscdimg -n -bc:\winpe\boot\etfsboot.com c:\winpe c:\winpe.iso

  7. Use a utility that can create a CD or DVD to transfer the ISO image to the appropriate media.
Note

This procedure requires a 3rd party CD copy utility.

Additional references

  • Manage Windows Images

  • Legacy Images

  • Export an Image

  • The Windows Automated Installation Kit http://go.microsoft.com/fwlink/?LinkID=53552


Modify an Image

You can modify images to add files or drivers without having to create a new image. The processes are similar for a boot or install image, however the toolsets and syntax vary between image types. Detailed information about modifying WIM images is available in the Windows Automated Installation Kit (WAIK) User's Guide for Windows Vista (http://go.microsoft.com/fwlink/?LinkID=53552).

  • Modify a boot image

  • Modify an install image

Modify a boot image

To modify a boot image

  1. Find the image you want to service and mark it as offline. If you are using the Windows Deployment Services snap-in to perform this operation right click the image and select Disable. This will allow existing installations to continue but new clients will not be able to enumerate the image.

  2. Export the image.

  3. Service the image.

  4. Add the image to the server. There are two ways to accomplish this:

    1. As a new image to the same image group. Later, you can remove the old image (which will not be enumerated because it is offline).

    2. Replace the existing image (assuming all installations using it have completed) with the newly-serviced version. (This step is recommended.)

Modify an install image

To modify an install image

  1. Find the image you want to service and mark it as offline. If you are using the Windows Deployment Services snap-in to perform this operation right click the image and select Disable. This will allow existing installations to continue but new clients will not be able to enumerate the image.

  2. Export the image.

  3. Service the image.

  4. Add the image to the server. There are two ways to do this:

    1. As a new image to the same image group. Later, you can remove the old image (which will not be enumerated because it is offline).

    2. Replace the existing image (assuming all installations using it have completed) with the newly-serviced version. (This step is recommended.)

Additional references

  • Manage Windows Images

  • Windows Automated Installation Kit (WAIK) User's Guide for Windows Vista (http://go.microsoft.com/fwlink/?LinkID=53552)


Remove an Image

You can remove an image using the Windows Deployment Services snap-in or using WDSUTIL from a command prompt.

  • Remove a boot image

  • Remove an install image

Remove a boot image

To remove a boot image using the Windows Deployment Services snap-in

  1. Expand the server containing the image to be deleted.

  2. Click to select Boot Images.

  3. In the action pane, right click the image and click Delete Image.

  4. At the Confirmation dialog box, click Yes to delete the image.
To remove a boot image using WDSUTIL from a command prompt

  • Type WDSUTIL /Remove-Image /Image:ImageName /ImageType:boot

    /Architecture: Arch where ImageName is the name of the image and Arch is the architecture of the image (x86 or x64).

Remove an install image

To remove an install image using the Windows Deployment Services snap-in

  1. Expand the server containing the image to be deleted.

  2. Click to select Install Images.

  3. Click to select the image group containing the image.

  4. In the action pane, right-click the image and click Delete Image.

  5. At the confirmation dialog box, click Yes to delete the image.
To remove an install image using WDSUTIL from a command prompt

  • Type WDSUTIL.exe /verbose /Remove-Image /Image:"Windows Vista with Office"

    /Server:MyWDSServer /ImageType:install /ImageGroup:ImageGroup1

    /Filename:install.wim

Additional considerations and references

  • To perform this procedure, you must be a member of the Administrators group on the local computer, or you must have been delegated the appropriate authority. If the computer is joined to a domain, members of the Domain Admins group might be able to perform this procedure. As a security best practice, consider using Run as to perform this procedure.

  • Manage Windows Images


Export an Image

You can export images to make changes to the image, such as adding drivers or updates. You can also export a boot image as a step in creating bootable media.

  • Export a boot image

  • Export an install image

Export a boot image

To export a boot image using the Windows Deployment Services snap-in

  1. Click to expand the server list.

  2. Click to expand the server.

  3. Click to expand the Boot Images folder.

  4. Right-click an image and then click Export Image.

  5. Type a path and file name for the image and click Save.
To export a boot image using WDSUTIL from a command prompt

  • To export a boot image, type:

    WDSUTIL /Export-Image /Image: ImageName /ImageType:Boot

    /Architecture:x86 /DestinationImage /FilePath: FilePath.

    Where the ImageName is the name of the original image and FilePath is the full path and name of the exported boot image.

Export an install image

To export an install image using the Windows Deployment Services snap-in

  1. Click to expand the server list.

  2. Click to expand the server.

  3. Click the Install Images folder.

  4. Click to expand an image group.

  5. Right-click an image and then click Export Image.

  6. Type a path and file name for the image and click Save.
To export an install image using WDSUTIL from a command prompt

  • To export an install image, type:

    WDSUTIL.exe /Export-Image /Image: ImageName

    /ImageType:Install /DestinationImage /FilePath: FilePath.

    Where the ImageName is the name of the original image and FilePath is the full path and name of the exported boot image.

Additional considerations and references

  • To perform this procedure, you must be a member of the Administrators group on the local computer, or you must have been delegated the appropriate authority. If the computer is joined to a domain, members of the Domain Admins group might be able to perform this procedure. As a security best practice, consider using Run as to perform this procedure.

  • Manage Windows Images


Image Properties

Image properties pages provide a broad description of an image. Image properties pages for a boot image include General and Version tabs. Image properties pages for installation images add a Security tab.

In addition to viewing properties, the properties page allows you to rename an image and change an image description. For installation images, you can enable unattended installation or select the Security tab to modify security settings on the image.

Viewing image properties

You can view boot image properties using the Windows Deployment Services snap-in or using WDSUTIL from a command prompt.

To view image properties using the Windows Deployment Services snap-in

  1. Right-click an image and then click Properties.

  2. Click a tab to choose which properties to view.
To view image properties using WDSUTIL at a command prompt

  • Type WDSUTIL.exe /Get-Image /Image:ImageName /ImageType:ImageType /Architecture:Arch.

    Where ImageName is the name of the image, ImageType is boot or install and Arch is x86 or x64.

Image properties

The following tables list the properties for an image and provide a brief description of each property.

General tab

Property | Description
Image name | The image name is provided in a text box. You may change the image name from here using OK or Apply to update the image.
Type of image | Indicates whether the image is a boot or install image.
State | Indicates whether the image is online or offline.
Architecture | Indicates the processor architecture, either x86 or x64.
Description | The image description is provided in a text box. You may change the image name from here using OK or Apply to update the image.
Image group | The image group where the image is currently stored.
File name | The file name of the image, including the file extension.
Size | The size of the uncompressed image, not necessarily the actual size of the image or the WIM containing the image.
Created | The date the image was created.
Modified | The last date the image was modified.
HAL type | Installation images only - indicates the HAL type on which the image was created.
Unattend mode | Check this box, then select an unattended installation file to enable the image for unattended installation.

Version tab

Property | Description
Image version | The major Windows version and build number.
Internal name | The original name of the image.
Language | The original language of the WIM file.
Original file name | The original name of the WIM file.
Product name | The Microsoft product name of the operating system contained in the image.
Product family | The product family of the operating system image contained in the image.
Service Pack level | The Service Pack-level of the Windows image.

Security tab

Property | Description
Group or user names | You can change who has access to an image by adding or removing users from this dialog box.
Permissions for Administrators | You can modify the permissions of a user, including allowing special permissions, through this dialog box.
Advanced | You can click the Advanced button to take ownership of an image file, audit access to an image file, or to modify inherited permission to an image file.

Additional references

  • Manage Windows Images


Image Groups

An image group is a collection of WIM image files that share common file resources and security. Image Groups are a servicing boundary because the act of servicing an image within an Image Group such as applying a hotfix, Service Pack, or updating files will require exclusive access to the group. File resources are shared across the image group (single-instanced) even though the image metadata of each image resides in a separate physical WIM file. Image groups contain two file types:

  • Res.rwm – contains the file streams for images as defined in Install.wim, Install2.wim, and WinXP.wim. Note that each image group has its own Res.rwm file.

  • Install.wim – contains image metadata describing the content of an operating system image. The actual file resources for the image reside in Res.rwm.

Each Image Group will have a Res.rwm file created when the first image is added to the image group. Res.rwm is known is a resource only WIM, all resources for all files reside in Res.rwm. The .rwm file is a .wim file renamed to differentiate the resource only .wim file from the metadata .wims and speed up image enumeration. Because image enumeration only works on .wim files the Res.rwm file will be skipped.

The data in a WIM file is single-instanced, so duplicate files will be stored only once, significantly reducing storage size on disk for images within an Image Group.

Additional references

  • Manage Windows Images


Unattended Installation Files

Windows Deployment Services allows you to automate both the Windows Deployment Services client and the latter stages of Windows Setup. This two-phase approach is accomplished by using two different unattended installation files. The Windows Deployment Services unattended installation file is stored on the Windows Deployment Services server in the \WDSClientUnattend folder and is used to automate the first phase of setup. The file used to configure unattended installation options during Windows Setup is stored in a sub-folder (either $OEM$ structure or \Unattend) in the per-image folder and is used to automate Setup phases two through seven.

To automate either phase of setup, you will need to create an Unattend.xml file, copy it to the appropriate location and assign it for use. Assignment of the unattended installation file may be performed at the server level or the client level. The server level assignment may further be broken down by architecture allowing you to have differing settings for x86 and x64 clients. Assignment at the client level overrides the server level settings.

Note

Windows Deployment Services management tools only support setting install image unattend for Windows Vista and Windows Server "Longhorn" images. Down-level images require using your existing Sysprep.inf files and manually creating a $OEM$ directory structure.

Unattended installation is configured through the following steps:

  1. Create an appropriate unattend file depending on whether you are configuring the Windows Deployment Services client, Windows setup or legacy setup. Note that the Windows System Image Manager, provided as part of the Windows AIK provides an excellent environment for authoring unattend files.

  2. Associate the unattend file with an image or machine type.

The following procedures describe how to configure for unattended installation. The first procedure explains the process for configuring unattend options for the Windows Deployment Services client by architecture, the next procedure describes how to configure unattend options per computer. The final procedure explains how to configure unattend options for Windows Setup.

  • Windows Deployment Services unattend

  • Windows Setup unattend

Configuring Windows Deployment Services unattend

To associate a WDS client unattend file by architecture using the Windows Deployment Services snap-in

  1. Create an Unattend.xml file with settings applicable to the Windows Deployment Services client.

  2. Copy the XML file to RemoteInstall\WDSClientUnattend.

  3. Open the Windows Deployment Services snap-in.

  4. Expand the list in the left-hand pane to expose the Servers list.

  5. Right-click the Windows Deployment Services server containing the Windows Vista or Windows Server "Longhorn" image you want to associate the unattend file to, and then click Properties.

  6. Click the Client tab.

  7. Click Enable unattended installation.

  8. Click the Browse button next to the appropriate architecture.

  9. Browse select the unattend file and click Open.

  10. Click OK.

  11. To close Server Properties, click OK.
To associate a WDS client unattend file by architecture using WDSUTIL

  1. WDSUTIL, the Windows Deployment Services command line management tool, requires elevated privileges to run: click Start, click All Programs, click Accessories, right-click Command Prompt, and then click Run Elevated.

  2. At a command prompt, type:

    WDSUTIL /set-server /wdsunattend /policy:enabled /file:filepath /architecture:x86

    Where filepath is the path name and file name of the unattend file and architecture is the architecture of the client to automate.
Note

Help for WDSUTIL is available by typing WDSUTIL /? at a command prompt.

To associate a Windows Deployment Services client unattend file per computer using WDSUTIL

  • From a command prompt, type:

    WDSUTIL /set-device /device: computername /ID: GUID or MAC address /WdsClientUnattend: relative path

    Where relative path is the path from the REMINST share to the folder containing WdsClientUnattend.xml.

Configuring Windows Setup unattend

To associate a Windows Setup unattend file to an image using the Windows Deployment Services snap-in

  1. From the Windows Deployment Services snap-in, click to expand the image group containing Windows Vista or Windows Server "Longhorn" images.

  2. Right-click the image you want to associate the unattend file to and click Properties.

  3. Click Allow image to install in unattended mode.

  4. Click Select File.

  5. Enter the name and path, or browse to choose the unattend file and then click Open.

  6. Click OK.

  7. To close the Image Properties page, click OK.
To associate a Windows Setup unattend file to an image using WDSUTIL

  1. WDSUTIL, the Windows Deployment Services command line management tool, requires elevated privileges to run: click Start, click All Programs, click Accessories, right-click Command Prompt, and then click Run Elevated.

  2. From a command prompt, type:

    WDSUTIL /set-image /image: imagename /imagetype:install /imagegroup: imagegroupname /unattendfile: unattendfile

    Where imagename is the name of the image with which to associate the unattend file, imagegroupname is the name of the image group containing the image file and unattendfile is the path and file name of the unattend file to associate with the image.
Note

For more information about unattended installation, see the Windows AIK product documentation.

To associate Sysprep.inf with a down-level image

  1. At a command prompt, change directories to the image group containing a down-level image.

  2. In the image group containing the legacy image, create a directory with the same name as the WIM to which you wish to associate the image:

    Md C:\RemoteInstall\Images\ imagegroupname \ imagefilename

  3. Create an $OEM$ directory structure:

    Mc C:\RemoteInstall\Images\ imagegroupname \ imagefilename \$OEM$

  4. Copy a sysprep.inf appropriate to the image to the $OEM$ directory:

    Copy C:\Sysprep.inf C:\RemoteInstall\Images\ imagegroupname \ imagefilename \$OEM$

  5. Add files or make other changes as necessary and appropriate, following conventions for $OEM$.

  6. After the image is applied, the entire $OEM$ directory will be copied over and the contents will be applied to the image.
Note

For more information about Sysprep.inf and the $OEM$ directory, see Designing Automated Setup Tasks (http://go.microsoft.com/fwlink/?LinkId=66136).

Additional references

  • Manage Windows Images


Language Packs

You can associate multiple language packs with a single image, reducing the number of images you need to maintain. To use a language pack, create the appropriate directory structure and copy the language pack.

To associate a language pack with an image

  1. In the image group folder containing the image, create a directory with the same name as the image file. In that folder, create a directory named langpacks. If the image group is named Vista and the image is named Install, type:

    md c:\remoteinstall\images\vista\install\langpacks

  2. In the langpacks directory, create a directory for each language pack to install. To create a langpacks directory for the Japanese language, type:

    md c:\remoteinstall\images\vista\install\langpacks\ja-jp

  3. Copy the Japanese language pack to C:\Remoteinstall\images\vista\install\langpacks\ja-jp.

Additional considerations

  • Language packs are only supported on Windows Vista and Windows Server "Longhorn" operating systems.

Additional references

  • Manage Windows Images


Legacy Images

Legacy RISETUP and RIPREP images are managed using legacy Remote Installation Services (RIS) RISETUP and RIPREP utilities and the Active Directory Users and Computers snap-in. You can view the list of images using RIS tools or using Windows Deployment Services management tools.

  • RISETUP images

  • RIPREP images

RISETUP images

You can move existing RISETUP images to native WIM images by using the following procedure.

To convert an RISETUP image to a WIM image

  1. Boot a reference computer to the OSChooser menu.

  2. Choose to install the appropriate image.

  3. Use Sysprep.exe to prepare the image.

  4. Use a capture image to save the image and add it to the Windows Deployment Services server.

Additional considerations

  • Because Windows operating systems prior to Windows Vista are Hardware Abstraction Layer (HAL)–dependant, separate images are required for each HAL type.

Additional references

  • Manage Windows Images

  • Remote Installation Services (http://go.microsoft.com/fwlink/?LinkId=71138)

RIPREP images

RIPREP images are images prepared with Sysprep.exe without a fully-populated, critical device database. RIPREP images store the critical device database in a complimentary RISETUP image.

You can use two procedures to convert RIPREP images to WIM format.

  • Use the conversion utility to convert images from RIPREP to WIM

  • Deploy an RIPREP image to a reference computer and capture the image to the WDS server using the new WDS image capture utility

Converting an RIPREP image

After upgrading your server to Windows Deployment Services you can use one of the following procedures to convert your RIPREP images to WIMs.

To convert an RIPREP image to a WIM using the Windows Deployment Services snap-in

  1. Click to expand Legacy Images.

  2. Right-click the image to be converted and click Convert Image.

  3. When the image conversion is complete, add the image to the appropriate image group.
To convert an image using WDSUTIL at a command prompt

  1. Type WDSUTIL /convert-riprepimage /filepath:file_path1 /destinationimage /filepath:file_path2, where file_path1 is the full path to the .sif file and file_path2 is the full path to the new WIM file.

  2. Type WDSUTIL /add-image /imagefile:file_path2 /image type:install
To convert an RIPREP image to a WIM image using the capture utility

  1. Boot a reference computer to the OSChooser menu.

  2. Choose to install the appropriate image.

  3. Use Sysprep.exe to prepare the image.

  4. Use a capture image to save the image and add it to the Windows Deployment Services server.
Important

You must have full control of the RIPREP image to complete the conversion process. If you do not have full control, the conversion will fail with error code 0x522.

Additional considerations

  • If you are running Windows Deployment Services on Windows Server 2003 you can use either conversion method. If Windows Deployment Services is running on Windows Server "Longhorn" you can only use the conversion utility. This is because you cannot deploy a RIPREP image from Windows Server "Longhorn" Windows Deployment Services server since OSChooser is no longer supported.

  • As a best practice, copy the images and image files to a temporary directory before converting the images. If the process should fail or if you want to roll-back to the original image, the original image will remain unmodified.

  • The RIPREP conversion process requires APIs from two external DLLs – drvstore.dll and cmiv2.dll. On Windows Vista and Windows Server "Longhorn" computers these binaries exist as part of the installation. On Windows Server 2003 and Windows XP, the binaries do not exist. In order for the RIPREP conversion management task to work on Windows Server 2003 the following steps must be performed:

    1. Install the Windows AIK onto the Windows Server 2003 WDS Server. The Windows AIK contains the necessary support files, drvstore.dll and cmiv2.dll, and installs them by default.

    2. Ensure the files are in the file path.

  • Sysprep images prior to Windows Vista were HAL dependent. A separate image is required for each HAL type in your environment.

Additional references

  • Manage Windows Images

  • Remote Installation Services (http://go.microsoft.com/fwlink/?LinkId=71138)


Sample Unattended Installation Files

You can use unattended installation files to automate many aspects of Setup. Use these samples to troubleshoot your installation or as a starting point to create your own custom unattended installation files.

  • Client unattend

  • Image unattend

Client unattended installation file

This unattended installation file will allow for a completely automated installation experience using the Windows Deployment Services Client. You can save the sample file as an XML file with a text editor.

<?xml version="1.0" ?>

<unattend xmlns="urn:schemas-microsoft-com:unattend">

<settings pass="windowsPE">

<component name="Microsoft-Windows-Setup" publicKeyToken="31bf3856ad364e35" language="neutral" versionScope="nonSxS" processorArchitecture="x86">

<WindowsDeploymentServices>

<Login>

<WillShowUI>OnError</WillShowUI>

<Credentials>

<Username>username</Username>

<Domain>wds-dom</Domain>

<Password>my_password</Password>

</Credentials>

</Login>

<ImageSelection>

<WillShowUI>OnError</WillShowUI>

<InstallImage>

<ImageName>Windows Vista with Office</ImageName>

<ImageGroup>ImageGroup1</ImageGroup>

<Filename>Install.wim</Filename>

</InstallImage>

<InstallTo>

<DiskID>0</DiskID>

<PartitionID>1</PartitionID>

</InstallTo>

</ImageSelection>

</WindowsDeploymentServices>

<DiskConfiguration>

<WillShowUI>OnError</WillShowUI>

<Disk>

<DiskID>0</DiskID>

<WillWipeDisk>false</WillWipeDisk>

<ModifyPartitions>

<ModifyPartition>

<Order>1</Order>

<PartitionID>1</PartitionID>

<Letter>C</Letter>

<Label>TestOS</Label>

<Format>NTFS</Format>

<Active>true</Active>

<Extend>false</Extend>

</ModifyPartition>

</ModifyPartitions>

</Disk>

</DiskConfiguration>

</component>

<component name="Microsoft-Windows-International-Core-WinPE" publicKeyToken="31bf3856ad364e35" language="neutral" versionScope="nonSxS" processorArchitecture="x86">

<SetupUILanguage>

<WillShowUI>OnError</WillShowUI>

<UILanguage>en-US</UILanguage>

</SetupUILanguage>

<UILanguage>en-US</UILanguage>

</component>

</settings>

</unattend>

Additional references

  • Manage Windows Images

  • Unattended Installation Files

  • Legacy Images

Sample image unattended installation file

This file sets the product key and allows the domain join operation to complete successfully. You can save the sample file as an XML file with a text editor.

<?xml version="1.0" encoding="utf-8"?>

<unattend xmlns="urn:schemas-microsoft-com:unattend">

<settings pass="specialize">

<component name="Microsoft-Windows-UnattendedJoin" processorArchitecture="x86" publicKeyToken="31bf3856ad364e35" language="neutral" versionScope="nonSxS" xmlns:wcm="http://schemas.microsoft.com/WMIConfig/2002/State" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

<Identification>

<UnsecureJoin>true</UnsecureJoin>

</Identification>

</component>

<component name="Microsoft-Windows-Shell-Setup" processorArchitecture="x86" publicKeyToken="31bf3856ad364e35" language="neutral" versionScope="nonSxS" xmlns:wcm="http://schemas.microsoft.com/WMIConfig/2002/State" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

<ProductKey>XXXX-XXXX-XXXX-XXXX-XXXX</ProductKey>

</component>

</settings>

</unattend>

Additional references

  • Manage Windows Images

  • Unattended Installation Files

  • Legacy Images


Troubleshooting Windows Deployment Services

This section lists a few common issues you may encounter when using Windows Deployment Services.

What problem are you having?

  • My x64-based client does not see any x64-based images on the boot image selection page.

  • My x64 client computer is detected as x64 but fails to boot to a default image.

  • My computer loads the boot image but cannot access an install image.

  • I created an unattended installation file but when installation completes my client computer is not joined to the domain.

  • The Windows Deployment Services Capture Wizard does not recognize the disk drive containing the volume to be captured.

    Note

    A good troubleshooting option is to look for event logs generated by Windows Deployment Services. Event log entries for Windows Deployment Services are found in the Application event log under the sources: BNLSVC, WDSPXE, WDSIMGSRV and WDSServer.

My x64-based client does not see any x64-based images on the boot image selection page

Many x64 based system BIOS do not accurately identify the computer as x64 during the boot process. If Windows Deployment Services does not recognize the systems as x64, only x86 images are presented. You can type WDSUTIL /set-server /architecturediscovery:yes at a command prompt to force the Windows Deployment Services server to recognize x64 computers.

My x64 client computer is detected as x64 but fails to boot to a default image.

If an x64 based system PXE boots but does not find an x64-based image, it will be unable to complete the boot process. Check that you have an x64 boot (and install) image added to your Windows Deployment Services server. Alternatively, you can force all X64 clients to only receive x86 boot files by configuring the default boot program for x64 clients to use the appropriate network boot program, for example Pxeboot.com from \RemoteInstall\boot\x86.

My computer loads the boot image but cannot access an install image.

The boot image may not contain the required network driver for your computer. Press Shift-F10 to open a command window and type IPConfig. If no IP address and subnet mask are reported, networking has not been started and it is likely that a network driver is not present. Review the procedure in Modify an Image and review the Windows AIK documentation at http://go.microsoft.com/fwlink/?LinkID=53552.

I created an unattended installation file but when installation completes my client computer is not joined to the domain.

The common cause of this error is that the image unattend file is not formatted properly. To verify that your file is correctly formatted, review Unattended Installation Files or use the sample unattend file in Sample Unattended Installation Files.

Another common cause of this error is a permissions error during domain join. Check for this error in \Windows\panther\setupact.log under domainjoininformation. Take corrective action based on information in the log file.

The Windows Deployment Services Capture Wizard does not recognize the disk drive containing the volume to be captured.

The Windows Deployment Services Image Capture Wizard will not report a drive as available if it does not find a valid image prepared using Sysprep.exe. Reinstall the target operating system and prepare the image for capture using Sysprep.exe. Review Create an Image and Legacy Images for further information.


Resources for Windows Deployment Services

For more information on Windows Deployment Services, see the following information on the Microsoft Web site.

  • For more information about pre-staging client computers, see Prestage client computers (http://go.microsoft.com/fwlink/?LinkId=50166).

  • For more information about Sysprep.inf and the $OEM$ directory, see Designing Automated Setup Tasks (http://go.microsoft.com/fwlink/?LinkId=66136).

  • For the most up-to-date version of this document, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=66145).

  • If you need product support, see the Microsoft Connect Web site (http://go.microsoft.com/fwlink/?LinkId=49779).

  • To access newsgroups for Windows Deployment Services, follow the instructions provided on the Microsoft Connect Web site (http://go.microsoft.com/fwlink/?LinkId=50067).

  • For more information about the Windows AIK, see the Windows Automated Installation Kit (WAIK) User's Guide for Windows Vista (http://go.microsoft.com/fwlink/?LinkID=53552).

  • For more information about deploying Windows Deployment Services, see Deploying Windows Vista (http://go.microsoft.com/fwlink/?LinkId=71130).

  • For more information about Remote Installation Services (RIS), see Remote Installation Services (http://go.microsoft.com/fwlink/?LinkId=71138).

  • For more information about Microsoft Solution Accelerator for Business Desktop Deployment 2007, see (http://go.microsoft.com/fwlink/?LinkId=71137).